Last modified: 2014-05-14 19:15:45 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 43110 - Support RTL languages/wikis in Huggle
Support RTL languages/wikis in Huggle
Status: RESOLVED FIXED
Product: Huggle
Classification: Unclassified
Application (Other open bugs)
3.0.0
All All
: High enhancement
: ---
Assigned To: Peter Bena
https://code.google.com/p/huggle/issu...
: i18n
Depends on:
Blocks: rtl
  Show dependency treegraph
 
Reported: 2012-12-14 05:46 UTC by Ankit Maity
Modified: 2014-05-14 19:15 UTC (History)
9 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
viewing__history page (113.13 KB, image/png)
2012-12-14 16:16 UTC, reza1615
Details
huggle_newly_created_pages (194.37 KB, image/png)
2012-12-14 16:17 UTC, reza1615
Details
huggle_diff_reviewing article changes (113.13 KB, image/png)
2012-12-14 16:18 UTC, reza1615
Details
Huggle3 in RTL view (181.26 KB, image/png)
2014-05-14 18:01 UTC, reza1615
Details

Comment 2 Andre Klapper 2012-12-14 10:22:12 UTC
Not a blocker, plus this is really missing a good description. Please see https://www.mediawiki.org/wiki/How_to_report_a_bug and inprove this report.
Comment 3 Amir E. Aharoni 2012-12-14 10:50:12 UTC
Unfortunately, I cannot test it, because it's a Windows application, but the description is not bad - "not working with RTL" is enough.
Comment 6 reza1615 2012-12-14 14:33:53 UTC
Huggle is designed for LTR languages and working for RTL languages is difficult
i.e.
*difference revision view (diff part) is LTR (for RTL next page should be in left instead of right) 
* main screen shows wiki's text in LTR direction
*the Next arrow's direction instead of right to left they are left to right
I will upload some screen shot as soon as possible
Comment 8 Andre Klapper 2012-12-14 15:28:50 UTC
Could we please stop discussing this in public so I don't have to mark more comments as private? Thanks.
Comment 9 reza1615 2012-12-14 16:16:38 UTC
Created attachment 11512 [details]
viewing__history page
Comment 10 reza1615 2012-12-14 16:17:27 UTC
Created attachment 11513 [details]
huggle_newly_created_pages
Comment 11 reza1615 2012-12-14 16:18:02 UTC
Created attachment 11514 [details]
huggle_diff_reviewing article changes
Comment 12 Peter Bena 2013-10-06 16:49:39 UTC
postponing to 3x
Comment 13 Peter Bena 2014-02-13 14:44:31 UTC
Can someone check if this doesn't work in huggle 3? I /believe/ RTL should work there.
Comment 14 reza1615 2014-02-13 14:57:15 UTC
https://github.com/huggle/
which package?
you mean https://github.com/huggle/huggle3-qt-lx ?
Comment 16 reza1615 2014-05-14 17:15:54 UTC
I tested Huggle 3 and most of the bug are still remained!

1-Persian translation doesn't imported

2-Diff window should be RTL

3-History, User Info  should be RTL

4-Top-toolbar should be RTL
Comment 18 reza1615 2014-05-14 18:01:45 UTC
Created attachment 15380 [details]
Huggle3 in RTL view

Red Rectangles should be RTL
Comment 19 Andre Klapper 2014-05-14 19:04:23 UTC
reza1615: If basic support for RTL languages/wikis is available in Huggle, this ticket is FIXED, and clean followup tickets should be created instead (one issue per report).
Comment 20 reza1615 2014-05-14 19:15:45 UTC
Ok I extended the bug at bug 65303

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links